Fetch all available attribution models
curl --request GET \
--url https://api.northbeam.io/v1/exports/attribution-models \
--header 'Authorization: <api-key>' \
--header 'Data-Client-ID: <api-key>'const options = {
method: 'GET',
headers: {Authorization: '<api-key>', 'Data-Client-ID': '<api-key>'}
};
fetch('https://api.northbeam.io/v1/exports/attribution-models', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.northbeam.io/v1/exports/attribution-models"
headers = {
"Authorization": "<api-key>",
"Data-Client-ID": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.northbeam.io/v1/exports/attribution-models"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Data-Client-ID", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.northbeam.io/v1/exports/attribution-models")
.header("Authorization", "<api-key>")
.header("Data-Client-ID", "<api-key>")
.asString();{
"attribution_models": [
{
"id": "<string>",
"name": "<string>"
}
]
}Data Export API
Fetch all available attribution models
GET
/
attribution-models
Fetch all available attribution models
Headers
| Header | Description |
|---|---|
Authorization required | Your Northbeam API key |
Data-Client-ID required | Your Northbeam client ID |
Responses
| Status | Description |
|---|---|
200 | Attribution models |
401 | Unauthorized |
429 | Too many requests |
500 | Internal server error |
200 response body
| Field | Type | Description |
|---|---|---|
attribution_models | object[] | |
Field Type Description idstring namestring, nullable |